Subject: [Anima-bootstrap] est over coaps

From: peter van der Stok <[email-masked]>
Date: Wed, 22 Feb 2017 09:45:55 +0100

Hi anima bootstrap,

In the minutes I saw that there were some questions bout the est over 
coaps draft.
Some updates:
The two est-coap drafts are merged, and the result will be published to 
ACE before the chicago cut-off.
Indeed the est over coaps draft goes beyond est; and includes BRSKI 
functions.
We expect short packets, and therefore shorten the URI path names and 
use coaps://example.com/est/EST-coaps; see the table below

             +------------------+------------------+-----------+
             | BRSKI            | EST              | EST-coaps |
             +------------------+------------------+-----------+
             |                  | /cacerts         | /crts     |
             |                  | /simpleenroll    | /sen      |
             |                  | /simplereenroll  | /sren     |
             |                  | /csrattrs        | /att      |
             |                  | /serverkeygen    | /skg      |
             | /requestvoucher  |                  | /rv       |
             | /voucherstatus   |                  | /vs       |
             | /enrollstatus    |                  | /es       |
             +------------------+------------------+-----------+

I must say that the turnover on BRSKI URI path names is quite high, and 
the table may not be up to date.
Questions and remarks are welcome.

Hope this helps,

Peter

-- 
Peter van der Stok

tel NL: +31(0)492474673     F: +33(0)966015248

---

From: Michael Richardson <[email-masked]>
Date: Thu, 23 Feb 2017 09:35:10 -0500

peter van der Stok <[email-masked]> wrote:
    > coaps draft.  Some updates: The two est-coap drafts are merged, and the
    > result will be published to ACE before the chicago cut-off.  Indeed the

wonderful to hear, I look forward to reading them.

    > the table may not be up to date.  Questions and remarks are welcome.

Sorry, if we make further changes, we will communicate them directly to you.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-